Package net.shibboleth.idp.saml.nameid

# Interface NameIdentifierGenerationService

All Known Implementing Classes:
  `NameIdentifierGenerationServiceImpl`

@ThreadSafe public interface NameIdentifierGenerationService
A service interface for obtaining name identifier generators.

## Method Summary

Modifier and Type
Method
Description
`SAML1NameIdentifierGenerator`
`getSAML1NameIdentifierGenerator()`
Get the `SAML1NameIdentifierGenerator`.
`SAML2NameIDGenerator`
`getSAML2NameIDGenerator()`
Get the `SAML2NameIDGenerator`.

## Method Details

### getSAML1NameIdentifierGenerator

@Nonnull SAML1NameIdentifierGenerator getSAML1NameIdentifierGenerator()
Get the `SAML1NameIdentifierGenerator`.

Returns:
  the `SAML1NameIdentifierGenerator`

### getSAML2NameIDGenerator

@Nonnull SAML2NameIDGenerator getSAML2NameIDGenerator()
Get the `SAML2NameIDGenerator`.

Returns:
  the `SAML2NameIDGenerator`